# Class TimeagoDirective

- Defined in timeago.directive.ts:18

#####
Index

### Constructors

constructor

### Accessors

date
live

### Methods

setContent

##
Constructors

### constructor

- new TimeagoDirective(): TimeagoDirective

  #### Returns TimeagoDirective

##
Accessors

### date

- set date(date: string | number | Date): void

  The Date to display. An actual Date object or something that can be fed to new Date.

  #### Parameters

  - date: string | number | Date

  #### Returns void

  - Defined in timeago.directive.ts:24

### live

- set live(live: boolean): void

  If the directive should update itself over time

  #### Parameters

  - live: boolean

  #### Returns void

  - Defined in timeago.directive.ts:32

##
Methods

### setContent

- setContent(node: any, content: string): void

  #### Parameters

  - node: any
  - content: string

  #### Returns void

  - Defined in timeago.directive.ts:36